# TODO: smart .init/.sysconfig, maybe a default configuration
#
Summary:	Console server
Summary(pl.UTF-8):	Serwer konsoli
Name:		conserver
Version:	8.1.18
Release:	2
License:	BSD-like
Group:		Daemons
Source0:	http://www.conserver.com/%{name}-%{version}.tar.gz
# Source0-md5:	93d1c38df71b4e3fd5d8f7ad6fc186bb
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}.pam
Source5:	%{name}.service
Patch0:		%{name}-locks.patch
URL:		http://www.conserver.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libwrap-devel
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.644
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Requires:	systemd-units >= 38
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/conserver

%description
Conserver is an application that allows multiple users to watch a
serial console at the same time. It can log the data, allows users to
take write-access of a console (one at a time), and has a variety of
bells and whistles to accentuate that basic functionality.

%description -l pl.UTF-8
Conserver jest aplikacją, która umożliwia kilku użytkownikom naraz
oglądać logi na konsoli szeregowej. Może zapisywać zebrane dane,
pozwalać użytkownikom na pełne korzystanie z konsoli (ale tylko
jednemu naraz), oraz posiada mnóstwo dodatków rozszerzających tę
podstawową funkcjonalność.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--with-master=localhost \
	--with-port=782 \
	--with-extmsgs \
	--with-libwrap \
	--with-openssl \
	--with-pam
#	--with-uds
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,logrotate.d,conserver,pam.d} \
	$RPM_BUILD_ROOT/var/log/{conserver.d,archive/conserver.d} \
	$RPM_BUILD_ROOT%{systemdunitdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/examples/conserver examples

install examples/conserver.cf $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/conserver.passwd
touch $RPM_BUILD_ROOT%{_sysconfdir}/console.cf

rm -f examples/conserver.rc
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/conserver
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/conserver
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/conserver
install %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/conserver
install %{SOURCE5} $RPM_BUILD_ROOT%{systemdunitdir}/%{name}.service

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add conserver
%service conserver restart "conserver daemon"
%systemd_post %{name}.service

%preun
if [ "$1" = "0" ]; then
	%service conserver stop
	/sbin/chkconfig --del conserver
fi
%systemd_preun %{name}.service

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc CHANGES FAQ README TODO examples LICENSE
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/conserver
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/conserver
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(750,root,root) %dir /var/log/conserver.d
%attr(750,root,root) %dir /var/log/archive/conserver.d
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_mandir}/man*/*
%{systemdunitdir}/%{name}.service
%changelog
* Mon Sep 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/conserver.git;a=log;h=master

* Mon Sep 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 92f153b
- systemd unit updated

* Sun Nov 11 2012 Jacek Konieczny <jajcus@jajcus.net> acf872b
- changed default bind addr in conserver.service

* Sun Nov 11 2012 Jacek Konieczny <jajcus@jajcus.net> 145e2a5
- systemd unit added

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 8a1b001
- up to 8.1.18

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 21c9512
- release 2

* Tue Sep 11 2007 Tomasz Pala <gotar@pld-linux.org> d1deecf
- oops, it's 3.7-4 not 3.7.4

* Tue Sep 11 2007 Tomasz Pala <gotar@pld-linux.org> 24c79a1
- C: logrotate < 3.7.4 due to archiv -> archive transition

* Wed Jun 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 04040ad
- up to 8.1.16 by zagrodzki

* Wed Jun 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> fb8f5de
- update from zagrodzki

* Mon Apr 02 2007 Jan Rękorajski <baggins@pld-linux.org> 45e163e
- more s|/var/log/archiv|/var/log/archive|g

* Mon Apr 02 2007 Jan Rękorajski <baggins@pld-linux.org> d5bfc45
- s|/var/log/archiv|/var/log/archive|g

* Mon Apr 02 2007 Jan Rękorajski <baggins@pld-linux.org> 6a09aac
- s|/var/log/archiv|/var/log/archive|g

* Tue Mar 27 2007 Jan Rękorajski <baggins@pld-linux.org> 74e3e7c
- uniformized configs to use system-auth where possible
- sanitized
- uniform blacklist for pop3, imap and smtp services

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d0fbf2e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f00f8fc
- converted to UTF-8

* Fri Jan 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 0adbd64
- new

* Fri Jan 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f751d6d
- set port number to 782; add pam config

* Fri Jan 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a0deaf8
- Verify configuration instead of failing silently.

* Fri Jan 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e3517c
- up to 8.1.15

* Fri Jan 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d928d1c
- update

